%global debug_package %{nil}

Name:           mono-bouncycastle
Version:        1.6.1
Release:        1%{?dist}
Summary:        Bouncy Castle Crypto Package for Mono

Group:          System Environment/Libraries
# Files in crypto/bzip2/ are ASL 2.0 licensed,
# everything else is MIT.
License:        MIT and ASL 2.0
URL:            http://www.bouncycastle.org/csharp/
Source0:        http://www.bouncycastle.org/csharp/download/bccrypto-net-%{version}-src.zip
BuildRoot:      %(mktemp -ud %{_tmppath}/%{name}-%{version}-%{release}-XXXXXX)

BuildRequires:  mono-devel, nant
BuildRequires:  unzip

# Exclude architectures that don't have nant
ExcludeArch:    ppc64 ppc sparc64

%description
The Bouncy Castle Crypto package is a C# implementation of cryptographic
algorithms. It is a port of the Bouncy Castle Java APIs, with
approximately 80% of the functionality ported. The C# API is constantly
kept up to date with bug fixes and new test cases from the Java build
(and vice versa sometimes), thus benefiting from the large user base
and real-world use the Java version has seen.

%prep
%setup -q -n csharp

%build
# Use the mono system key instead of generating our own here.
cp -a /etc/pki/mono/mono.snk BouncyCastle.snk
pushd crypto/
nant -D:use-strong-name=true compile-release
popd

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%{_libdir}/mono/gac/
gacutil -i crypto/api/bin/release/BouncyCastle.Crypto.dll -f -package bouncycastle -root $RPM_BUILD_ROOT%{_libdir}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%doc crypto/Contributors.html
%doc crypto/License.html
%doc crypto/Readme.html
%{_libdir}/mono/gac/*/
%{_libdir}/mono/bouncycastle/

%changelog
* Mon Feb 08 2010 Kalev Lember <kalev@smartlink.ee> - 1.6.1-1
- Update to 1.6.1
- Dropped upstreamed patches

* Sun Feb 07 2010 Kalev Lember <kalev@smartlink.ee> - 1.6-3
- Applied upstream patch to fix AssemblyInfo for 1.6

* Sat Feb 06 2010 Kalev Lember <kalev@smartlink.ee> - 1.6-2
- Updated strongname.patch to the version sent for upstream inclusion

* Sat Feb 06 2010 Kalev Lember <kalev@smartlink.ee> - 1.6-1
- Update to version 1.6
- Use upstream source zip now that IDEA code is removed
- Removed patches which were merged upstream
- Added patch to strongname sign the resulting assembly
- ASL 1.1 files were relicensed to ASL 2.0, so now
  the license tag reads 'MIT and ASL 2.0'

* Sat Jan 23 2010 Kalev Lember <kalev@smartlink.ee> - 1.5-6
- Removed bundled mono.snk key

* Fri Dec 11 2009 Kalev Lember <kalev@smartlink.ee> - 1.5-5
- Updated mono-nopatents.patch to the version sent upstream

* Wed Dec 02 2009 Kalev Lember <kalev@smartlink.ee> - 1.5-4
- Updated License tag to read 'MIT and ASL 1.1'

* Wed Dec 02 2009 Kalev Lember <kalev@smartlink.ee> - 1.5-3
- Temporarily bundle mono.snk with this package to fix build on < F-13

* Tue Dec 01 2009 Kalev Lember <kalev@smartlink.ee> - 1.5-2
- Use the system mono.snk key instead of regenerating on every build

* Fri Nov 13 2009 Kalev Lember <kalev@smartlink.ee> - 1.5-1
- Initial RPM release.
